=== modified file 'docs/alter_schema.rst'
--- docs/alter_schema.rst	2011-02-15 22:03:42 +0000
+++ docs/alter_schema.rst	2011-03-08 03:47:42 +0000
@@ -3,7 +3,10 @@
 
 ALTER SCHEMA changes the definition of a schema.
 
-You must own the schema to use ALTER SCHEMA. To rename a schema you must also have the CREATE privilege for the database. To alter the owner, you must also be a direct or indirect member of the new owning role, and you must have the CREATE privilege for the database:
+You must own the schema to use ALTER SCHEMA. To rename a schema you
+must also have the CREATE privilege for the database. To alter the
+owner, you must also be a direct or indirect member of the new owning
+role, and you must have the CREATE privilege for the database:
 
 .. code-block:: mysql
 
@@ -16,7 +19,7 @@
 
 new_name
 
-    The new name of the schema. The new name cannot begin with "pg", as such names are reserved for system schemas. 
+    The new name of the schema.
 
 new_owner
 

=== modified file 'docs/analyze.rst'
--- docs/analyze.rst	2011-02-23 13:08:09 +0000
+++ docs/analyze.rst	2011-03-08 03:47:42 +0000
@@ -7,11 +7,17 @@
 
 	ANALYZE TABLE table_name [, table_name] ...
 
-ANALYZE TABLE usually read locks a table, and then analyzes and stores the key distribution for a table.
+ANALYZE TABLE usually read locks a table, and then analyzes and stores
+the key distribution for a table.
 
 ANALYZE functionality differs depending on the storage engine.
 
-On InnoDB tables, using ANALYZE will result in a WRITE LOCK on the table. It also will not perform an explicit gathering of statistics when
-you issue an ANALYZE command. To update the index cardinality, there will be 10 random dives into each index, retrieving an estimated cardinality. Therefore, several ANALYZE TABLEs in a row are likely to produce different results each time.
+On InnoDB tables, using ANALYZE will result in a WRITE LOCK on the
+table. It also will not perform an explicit gathering of statistics
+when you issue an ANALYZE command. To update the index cardinality,
+there will be 10 random dives into each index, retrieving an estimated
+cardinality. Therefore, several ANALYZE TABLEs in a row are likely to
+produce different results each time.
 
-Statistics-gathering with ANALYZE has recently been added to HailDB so that index dives are performed.
+Statistics-gathering with ANALYZE has recently been added to HailDB so
+that index dives are performed.

=== modified file 'docs/authentication.rst'
--- docs/authentication.rst	2011-02-21 19:30:48 +0000
+++ docs/authentication.rst	2011-03-08 03:47:42 +0000
@@ -3,7 +3,10 @@
 
 For Drizzle, authentication is handled by plugins.
 
-Authentication is no longer based on the host/user and schema/table/column model that was used in the MyISAM-based mysql.user table.
+Authentication is no longer based on the host/user and
+schema/table/column model that was used in the MyISAM-based mysql.user
+table.
 
-The pluggable model capitalizes on existing systems such as PAM, LDAP via PAM and Http authentication.
+The pluggable model capitalizes on existing systems such as PAM, LDAP
+via PAM and HTTP authentication.
 

=== modified file 'docs/barriers.rst'
--- docs/barriers.rst	2011-02-23 14:17:23 +0000
+++ docs/barriers.rst	2011-03-08 03:47:42 +0000
@@ -13,17 +13,31 @@
 
   SELECT signal();
 
-A barrier is a synchronization object which can be used to synchronize a group of sessions to a specific rendezvous by calling wait(). When wait() is called, any session of the user may call signal(), allowing all sessions being held by wait() to proceed.
-
-Barriers can optionally be created with a limit so that once a set number of sessions have called wait() that all "waiters" are then allowed to proceed. 
-
-The session that creates the barrier via create_barrier() is not allowed to call either wait() or wait_until().
+A barrier is a synchronization object which can be used to synchronize
+a group of sessions to a specific rendezvous by calling wait(). When
+wait() is called, any session of the user may call signal(), allowing
+all sessions being held by wait() to proceed.
+
+Barriers can optionally be created with a limit so that once a set
+number of sessions have called wait() that all "waiters" are then
+allowed to proceed.
+
+The session that creates the barrier via create_barrier() is not
+allowed to call either wait() or wait_until().
 
 The scope of barriers is to the given username.
 
-Beyond waiters, you can also create observers by using the wait_until() function. Observers are released not only when signal() or release_barrier() is called, but also when their definitive predicate happens. You can use wait_until() to have a session wait for a certain number of waiters to occur, and then do some body of work before the waiters() are signaled to continue.
+Beyond waiters, you can also create observers by using the
+wait_until() function. Observers are released not only when signal()
+or release_barrier() is called, but also when their definitive
+predicate happens. You can use wait_until() to have a session wait for
+a certain number of waiters to occur, and then do some body of work
+before the waiters() are signaled to continue.
 
-All waiters and observers are released if release_barrier() is called by the session which created the barrier. Also, if the session that created the barrier disconnects, all waiters and observers are notified.
+All waiters and observers are released if release_barrier() is called
+by the session which created the barrier. Also, if the session that
+created the barrier disconnects, all waiters and observers are
+notified.
 
 Information on all barriers can be found in the DATA_DICTIONARY.USER_BARRIERS table.
 

=== modified file 'docs/brief_history_of_drizzle.rst'
--- docs/brief_history_of_drizzle.rst	2011-02-13 20:50:37 +0000
+++ docs/brief_history_of_drizzle.rst	2011-03-08 03:47:42 +0000
@@ -4,12 +4,33 @@
 
 Drizzle came into being for both social and technical reasons.
 
-The Drizzle project began in 2008 when Brian Aker forked it from MySQL, following Sun Microsystems' acquisition of MySQL. The Drizzle project was announced in 2008 at the O'Reilly Open Source Conference. 
-
-In terms of technical goals, Drizzle is based on a micro-kernel design that aims to be as pluggable as possible. Anyone should be able to quickly extend the database for their database needs. Drizzle has been designed for modern architectures and deployments. Drizzle does not shy away from breaking with the past, many of the MySQL "Gotchas" (features that work as advertised but not necessarily as expected) have been removed.
-
-Drizzle is open source software, designed in an organic manner by developers that span different companies. The development process has been geared to be more similar to the Linux Kernel where no single company owns the source code, or provides all of the developers. In stark difference to MySQL, the goal is to be as inclusive as possible and provide stable releases. The social charter of Drizzle encourages diversity and prizes respectful dialogue between all participating parties.
-
-Drizzle today is the largest fork of the MySQL server. At the time of writing, core developers span five companies, with as many, and sometimes more then, 30+ developers participating each month. Drizzle provides releases every other week and is the most well-tested database in the MySQL family tree.
-
-More narrative on the project can be found on `Wikipedia <http://en.wikipedia.org/wiki/Drizzle_(database_server)>`_
+The Drizzle project began in 2008 when Brian Aker forked it from
+MySQL, following Sun Microsystems' acquisition of MySQL. The Drizzle
+project was announced in 2008 at the O'Reilly OSCOn Open Source
+Conference.
+
+In terms of technical goals, Drizzle is based on a micro-kernel design
+that aims to be as pluggable as possible. Anyone should be able to
+quickly extend the database for their database needs. Drizzle has been
+designed for modern architectures and deployments. Drizzle does not
+shy away from breaking with the past, many of the MySQL "Gotchas"
+(features that work as advertised but not necessarily as expected)
+have been removed.
+
+Drizzle is open source software, designed in an organic manner by
+developers that span different companies. The development process has
+been geared to be more similar to the Linux Kernel where no single
+company owns the source code, or provides all of the developers. In
+stark difference to MySQL, the goal is to be as inclusive as possible
+and provide stable releases. The social charter of Drizzle encourages
+diversity and prizes respectful dialogue between all participating
+parties.
+
+Drizzle today is the most active fork of the MySQL server. At the time
+of writing, core developers span five companies, with as many, and
+sometimes more then, 30+ developers participating each month. Drizzle
+provides releases every other week and is the most well-tested
+database in the MySQL family tree.
+
+More narrative on the project can be found on
+`Wikipedia <http://en.wikipedia.org/wiki/Drizzle_(database_server)>`_

=== modified file 'docs/clients/drizzle.rst'
--- docs/clients/drizzle.rst	2010-09-26 21:24:38 +0000
+++ docs/clients/drizzle.rst	2011-03-08 03:47:42 +0000
@@ -1,5 +1,5 @@
 Drizzle Commandline Client
 ==========================
 
-The :program:`drizzle` command line client is the primary program for
+The :program:`drizzle` command line client is the primary program for ad-hoc
 connecting to and manipulating a Drizzle database.

=== modified file 'docs/clients/drizzleadmin.rst'
--- docs/clients/drizzleadmin.rst	2011-02-23 15:33:37 +0000
+++ docs/clients/drizzleadmin.rst	2011-03-08 03:47:42 +0000
@@ -2,7 +2,7 @@
 ================================
 
 The :program:`drizzleadmin` command line client is the primary program for
-connecting to and manipulating a Drizzle database with an administrative user.
+connecting to and manipulating a Drizzle database with an administrative user rights.
 
 The :program:`drizzleadmin` tool can only connect using the 'root' user and
 only on IP addresses defined by drizzle-protocol.admin-ip-addresses or 

=== modified file 'docs/clients/drizzledump.rst'
--- docs/clients/drizzledump.rst	2011-02-24 09:41:17 +0000
+++ docs/clients/drizzledump.rst	2011-03-08 03:47:42 +0000
@@ -15,11 +15,11 @@
 
 :program:`drizzledump` is used for backing up and
 restoring logical backups of a Drizzle database, as well as for migrating
-from *MySQL*. 
+from a more traditional *MySQL* server. 
 
-When connecting to a Drizzle server it will do a plain dump of the server.  It
-will, however, automatically detect when it is connected to a *MySQL* server and
-will convert the tables and data into a Drizzle compatible format.
+When connecting to a Drizzle server it will do a plain dump of the server.
+When connecting to a MySQL server, it will automatically detect this, and
+will convert the dump of the tables and data into a Drizzle compatible format.
 
 Any binary data in tables will be converted into hexadecimal output so that it
 does not corrupt the dump file.
@@ -41,7 +41,7 @@
 
 .. option:: --force, -f
 
-   Continue even if we get an sql-error.
+   Continue even if a sql-error is received.
 
 .. option:: --help, -?
 
@@ -96,6 +96,8 @@
 	INSERT INTO `t1` VALUES (1,'hello');
 	INSERT INTO `t1` VALUES (2,'world');
 
+   This is useful for calculating and storing diffs of dump files.
+
 .. option:: --skip-dump-date
 
    Do not display the date/time at the end of the dump.
@@ -149,7 +151,7 @@
 
 .. option:: --no-data, -d
 
-   Do not dump the data itself, used to dump the schemas only.
+   Do not dump the data itself. Used to dump the schemas only.
 
 .. option:: --replace
 

=== modified file 'docs/commit.rst'
--- docs/commit.rst	2011-02-23 13:08:09 +0000
+++ docs/commit.rst	2011-03-08 03:47:42 +0000
@@ -5,9 +5,18 @@
 
 Calling COMMIT will cause the current transaction to save itself.
 
-A COMMIT statement ends a transaction within Drizzle and makes all changes visible to other users. The order of events is typically to issue a START TRANSACTION statement, execute one or more SQL statements, and then issue a COMMIT statement. Alternatively, a ROLLBACK statement can be issued, which undoes all the work performed since START TRANSACTION was issued. A COMMIT statement will also release any existing savepoints that may be in use.
+A COMMIT statement ends a transaction within Drizzle and makes all
+changes visible to other users. The order of events is typically to
+issue a START TRANSACTION statement, execute one or more SQL
+statements, and then issue a COMMIT statement. Alternatively, a
+ROLLBACK statement can be issued, which undoes all the work performed
+since START TRANSACTION was issued. A COMMIT statement will also
+release any existing savepoints that may be in use.
 
-For example, DML statements do not implicitly commit the current transaction. If a user's DML statements have been used to update some data objects, and the updates need to be permanently recorded in the database, you can use the COMMIT command.
+For example, DML statements do not implicitly commit the current
+transaction. If a user's DML statements have been used to update some
+data objects, and the updates need to be permanently recorded in the
+database, you can use the COMMIT command.
 
 An example:
 

=== modified file 'docs/configuration.rst'
--- docs/configuration.rst	2011-02-23 14:17:23 +0000
+++ docs/configuration.rst	2011-03-08 03:47:42 +0000
@@ -7,9 +7,9 @@
 --------
 
 Drizzle can draw its configuration from a number of sources, including the
-command line, configuration files and environment variables.
+command line, from configuration files, and from environment variables.
 
-Support is planned for pluggable configuration souces.
+Support is planned for pluggable configuration sources.
 
 ----------------
 Loading Sequence
@@ -38,7 +38,8 @@
 *DRIZZLED_INNODB_BUFFER_POOL_SIZE*
 
 The config files contain a set of lines of the form `option-name=value`, one
-per line. Due to a bug in Boost.Program_options Boolean values require an argument, e.g. `console.enable=true`.
+per line. Due to a bug in Boost.Program_options Boolean values require an argument,
+e.g. `console.enable=true`.
 
 Config files support section headers such as `[innodb]` with all options
 occuring subsequently being prefixed by the section header. For instance, if

=== modified file 'docs/contributing/code.rst'
--- docs/contributing/code.rst	2011-02-24 14:52:15 +0000
+++ docs/contributing/code.rst	2011-03-08 03:47:42 +0000
@@ -14,10 +14,18 @@
  #. Paste your public key into the text box and click the *Import public key*
     button
 
+Logging into Launchpad
+----------------------
+
+You will need to set up your local bzr configuration with your Launchpad account
+so that you can push branches for merging.  To do this:
+
+ # bzr launchpad-login username
+
 Getting the Code
 ----------------
 
-You will need to prepare a directory for working with Drizzle, the following
+You will need to prepare a directory for working with Drizzle. The following
 example will assume you want to do this in ~/repos/drizzle:
 
 .. code-block:: bash
@@ -26,9 +34,9 @@
    cd ~/repos
    bzr init-repo drizzle
 
-At this stage you now have an initialized a directory for bzr to use.  Revision
-data will be stored here to save it having to be downloaded/stored for every
-branch.
+At this stage you now have an initialized a directory named ~/repos/drizzle
+for bzr to use.  Revision data will be stored in this directory so that it
+does not have to be separately downloaded and stored for every branch.
 
 .. code-block:: bash
 
@@ -49,7 +57,7 @@
 ---------------
 
 All commits need to have a proper description of the changes made.  This is so
-that future developers can dig through the bzr log to find out why a certain
+that future developers can read through the bzr log to find out why a certain
 change happened.
 
 When committing a bug fix please use:
@@ -64,13 +72,13 @@
 Coding Standards
 ----------------
 
-Our coding standards can be found inside the
+Our coding standards can be found at the
 `Drizzle wiki <http://wiki.drizzle.org/Coding_Standards>`_.
 
 Test Cases
 ----------
 
-Where possible SQL test cases should be created for your code.  Our test cases
+Where possible, SQL test cases should be created for your code.  Our test cases
 for bug fixes should be in the ``tests/suite/regression`` directory.  For more
 information about creating test cases please see the :ref:`test run <test-run-label>`
 section of our documentation.
@@ -93,11 +101,11 @@
 ---------------
 
 Once your work is done and ready for review you can go to the
-`code page <https://code.launchpad.net/drizzle>`_, click on your branch and you
-will see a link saying *Propose for merging*.
+`code page <https://code.launchpad.net/drizzle>`_, and then click on your branch.
+You will see a link labeled *Propose for merging*.
 
 In this screen simply fill in what this branch does and click the
 *Propose Merge* button.  Someone will review the branch, usually within a day or
-two and if approved it will go though our rigourous testing process which can
-take several hours.  If it needs more work feedback will always be given to
+two. If approved, it will go though our rigourous testing process, which can
+take several hours.  If it needs more work, feedback will always be given to
 explain why.

=== modified file 'docs/contributing/documentation.rst'
--- docs/contributing/documentation.rst	2011-02-24 14:52:15 +0000
+++ docs/contributing/documentation.rst	2011-03-08 03:47:42 +0000
@@ -3,10 +3,13 @@
 Contributing Documentation
 ==========================
 
-Our documentation is written using `Sphinx Documentation Generator <http://sphinx.pocoo.org/>`_ which uses the `reStructuredText <http://docutils.sf.net/rst.html>`_ format.
+Our documentation is written using
+`Sphinx Documentation Generator <http://sphinx.pocoo.org/>`_
+which uses the `reStructuredText <http://docutils.sf.net/rst.html>`_ format.
 
-All our documentation is stored in the main source reporistory in the docs/
-directory, and every merge into trunk triggers a rebuild of our `documentation site <http://docs.drizzle.org/>`_.
+All our documentation is stored in the main source reposatory in the docs/
+directory, and every merge into trunk triggers a rebuild of our
+`documentation site <http://docs.drizzle.org/>`_.
 
 Requirements
 ------------
@@ -15,7 +18,7 @@
 all of it will build correctly in that version.  For correct documentation
 version 1.0 is required.
 
-When building the documentation warnings become errors, so the documentation
+When building the documentation warnings are treated as errors, so the documentation
 needs to be warning free in 1.0.
 
 Documentation Files
@@ -41,7 +44,7 @@
 --------------------
 
 The documentation is in the reStructured text format which is a wiki-like markup
-laungauge ideal for documentation.
+language ideal for documentation.
 
 Headings
 ^^^^^^^^

=== modified file 'docs/contributing/introduction.rst'
--- docs/contributing/introduction.rst	2011-02-24 14:57:37 +0000
+++ docs/contributing/introduction.rst	2011-03-08 03:47:42 +0000
@@ -2,38 +2,39 @@
 ============
 
 Drizzle's development primarily happens on
-`Launchpad <http://launchpad.net/drizzle>`_ which handles code hosting, bugs,
+`Launchpad <https://launchpad.net/drizzle>`_ which handles code hosting, bugs tracking,
 mailing lists and everything else needed for project management.  You will need
 a `Launchpad account <https://help.launchpad.net/YourAccount/NewAccount>`_
 before making most kinds of contributions.
 
 One of Drizzle's aims is to have community contributions valued in the same way
-as core developer contributions, and all code goes through exactly the same
+as core developer contributions, and to have all code undergo exactly the same
 approval and testing process no matter who it comes from (core developers or
 general community).
 
-There are many ways to contribute to Drizzle, for example:
+There are many ways to contribute to Drizzle. For example, you can:
 
  * `File a bug <https://bugs.launchpad.net/drizzle/+filebug>`_
  * `Write translations <https://translations.launchpad.net/drizzle>`_
  * :ref:`Write documentation <documentation-label>`
  * :ref:`Write code <code-label>`
 
-We recommend anyone new to Drizzle who wants to learn the code see the `Low
-hanging fruit <https://bugs.launchpad.net/drizzle/+bugs?field.tag=low-hanging-fruit>`_ list of bugs on Launchpad for possible tasks to take on.
+We recommend anyone new to Drizzle who wants to learn the code see the
+`Low hanging fruit <https://bugs.launchpad.net/drizzle/+bugs?field.tag=low-hanging-fruit>`_
+list of bugs on Launchpad for possible tasks to take on.
 
 Bazaar
 ------
 
 Launchpad uses `Bazaar <https://launchpad.net/bazaar>`_ for revision control of
-the source repositories, you will need this insalled before contributing
+the source repositories and for documentation.  You will need this installed before contributing
 documentation or code.
 
 Finding Help
 ------------
 
-If you have any questions please contact us at
+If you have any questions please contact us at the
 `#drizzle <irc://irc.freenode.net/drizzle>`_
-`Freenode <http://freenode.net/>`_ IRC channel or via. the
+`Freenode <http://freenode.net/>`_ IRC channel or on the
 `Drizzle Discuss <https://launchpad.net/~drizzle-discuss>`_ mailing list.
 

=== modified file 'docs/create_index.rst'
--- docs/create_index.rst	2011-02-23 14:17:23 +0000
+++ docs/create_index.rst	2011-03-08 03:47:42 +0000
@@ -14,4 +14,6 @@
 This would create an index on table_t named table_1_index that converged
 columns a and b.
 
-Fast index creation (where a storage engine can create or drop indexes without copying and rebuilding the contents of the entire table) is not implemented yet for Drizzle, but it is slated for the future.
+Fast index creation (where a storage engine can create or drop indexes
+without copying and rebuilding the contents of the entire table) is
+not implemented yet for Drizzle, but it is slated for the future.

=== modified file 'docs/create_table.rst'
--- docs/create_table.rst	2011-02-23 14:17:23 +0000
+++ docs/create_table.rst	2011-03-08 03:47:42 +0000
@@ -1,7 +1,8 @@
 CREATE TABLE
 ============
 
-A CREATE statement in SQL creates an object inside of Drizzle. One of the most common CREATE commands is the CREATE TABLE command.
+A CREATE statement in SQL creates an object inside of Drizzle. One of
+the most common CREATE commands is the CREATE TABLE command.
 
 .. code-block:: mysql
 

=== modified file 'docs/data_dictionary.rst'
--- docs/data_dictionary.rst	2011-02-13 20:50:37 +0000
+++ docs/data_dictionary.rst	2011-03-08 03:47:42 +0000
@@ -1,13 +1,17 @@
 DATA_DICTIONARY
 ===============
 
-The DATA_DICTIONARY is a Drizzle extension that provides information on the state of the database, and on the definitions of tables and other objects. In other contexts this is what might be referred to as the system catalog.
+The DATA_DICTIONARY is a Drizzle extension that provides information
+on the state of the database, and on the definitions of tables and
+other objects. In other contexts this is what might be referred to as
+the system catalog.
 
 Plugins may add extra DATA_DICTIONARY tables with information specific to them.
 
 If you wish to write portable tools you should make use of the INFORMATION_SCHEMA.
 
-That table contains the name and value of the :doc:`/variables` that the user has created during the current session.
+That table contains the name and value of the :doc:`/variables` that
+the user has created during the current session.
 
 .. todo::
    

=== modified file 'docs/index.rst'
--- docs/index.rst	2011-03-02 23:58:31 +0000
+++ docs/index.rst	2011-03-08 03:47:42 +0000
@@ -8,14 +8,14 @@
 
 .. image:: logo.png
 
-Drizzle is a transactional, relational, community-driven open source database that is forked from the popular MySQL database.
+Drizzle is a transactional, relational, community-driven open-source database that is forked from the popular MySQL database.
 
-The Drizzle team has removed non-essential code, re-factored the remaining code and modernized the code base moving to C++.
+The Drizzle team has removed non-essential code, has re-factored the remaining code, and has converted the code to modern C++ and modern libraries.
 
 Charter
  * A database optimized for Cloud infrastructure and Web applications
- * Design for massive concurrency on modern multi-cpu architecture
- * Optimize memory for increased performance and parallelism
+ * Design for massive concurrency on modern multi-CPU architectures
+ * Optimize memory use for increased performance and parallelism
  * Open source, open community, open design
 
 Scope

=== modified file 'docs/installing/from_source.rst'
--- docs/installing/from_source.rst	2011-02-15 22:03:42 +0000
+++ docs/installing/from_source.rst	2011-03-08 03:47:42 +0000
@@ -6,7 +6,7 @@
 
 Minimal Requirements
 ^^^^^^^^^^^^^^^^^^^^
-To compile Drizzle with the most basic set of pluginsyou will need to following
+To compile Drizzle with the most basic set of plugins, you will need to have the following
 dependencies installed:
 
  * autoconf
@@ -35,7 +35,7 @@
 Full Dependencies
 ^^^^^^^^^^^^^^^^^
 Additionally, if you wish to build all of the plugins, you will need to install
-these too:
+these additional dependencies:
 
  * libcurl4-gnutls-dev
  * libgcrypt11-dev
@@ -53,7 +53,7 @@
 Obtaining The Source
 --------------------
 The latest source release can always be found on our `LaunchPad site
-<https://launchpad.net/drizzle>`_, alternatively the bzr source from our stable
+<https://launchpad.net/drizzle>`_. Alternatively, the bzr source respositoryfrom our stable
 trunk can be obtained by doing:
 
 .. code-block:: bash
@@ -62,7 +62,7 @@
 
 Compiling The Source
 --------------------
-Compiling is as simple as doing the following inside the source:
+Compiling is done by performing the standard automake commands from the top level directory inside the source:
 
 .. code-block:: bash
 

=== modified file 'docs/installing/redhat.rst'
--- docs/installing/redhat.rst	2011-03-03 00:16:22 +0000
+++ docs/installing/redhat.rst	2011-03-08 03:47:42 +0000
@@ -3,25 +3,19 @@
 
 Using RPMs
 ----------
-We have a custom RedHat/Fedora repository at
+There is a custom RedHat/Fedora repository at
 http://rpm.drizzle.org/7-dev/ which includes everything needed
-to install or compile Drizzle on RedHat 5 and 6 as well as Fedora 13 - 14.
-
-A pre-requisite of this repository in RedHat is that the
-`EPEL <http://fedoraproject.org/wiki/EPEL>`_ repository is also added to your
-distribution.
-
-.. note::
-
-   The EPEL repository is not required in Fedora.
-
-To add that repository, run the following command:
+to install or compile Drizzle on RedHat/CentOS 5 and 6 as well as on Fedora 12 through 14.
+
+On Redhat/CentOS systems, but not on Fedora systems, you must add the 
+`EPEL reposatory<http://fedoraproject.org/wiki/EPEL>`_
+to your RPM configuration, by running the following command:
 
 .. code-block:: bash
 
   sudo rpm -Uvh http://download.fedora.redhat.com/pub/epel/5/i386/epel-release-5-4.noarch.rpm
 
-To add the repository to your distribution you also need to create a /etc/yum.repos.d/drizzle.repo file with the following content:
+To add the Drizzle repository to your system you also need to create a /etc/yum.repos.d/drizzle.repo file with the following content:
 
 *RedHat*
 
@@ -55,15 +49,15 @@
    enabled=1
    gpgcheck=0
 
-You can then use the following shell command:
+You can then install Drizzle by running the following command:
 
 .. code-block:: bash
 
-   yum install drizzle7-server drizzle7-client
+   sudo yum install drizzle7-server drizzle7-client
 
 Compiling From Source
 ---------------------
-To compile from source you will need to add the repositories above and then install the following packages:
+To compile from source you will need to add the repositories described above, and then install the following packages:
 
  * bzr
  * boost-devel

=== modified file 'docs/installing/requirements.rst'
--- docs/installing/requirements.rst	2011-01-30 01:40:02 +0000
+++ docs/installing/requirements.rst	2011-03-08 03:47:42 +0000
@@ -5,18 +5,18 @@
 -------------------
 When installing Drizzle we typically recommend either using the packages from
 a Linux distribution or packages provided by our own repositories.  This is
-down to the dependencies reqiured by Drizzle which can be too old or missing
+because the dependencies required by Drizzle can sometimes be too old or missing
 in some Linux distributions.
 
 Every build of Drizzle is currently tested on:
- * Fedora 12 - 14
+ * Fedora 12 through 14
  * RedHat (or CentOS) 5 and 6
  * Debian Squeeze (6.0)
  * Ubuntu 10.04 and 10.10
  * FreeBSD 8.0 and 8.1
  * Apple OSX 10.6.4
 
-We recommend using these platforms with Drizzle, older version may have various
+We recommend using these platforms with Drizzle. Older platforms may have various
 unforseen difficulties when compiling and/or installing.  Drizzle is tested on
 both 32bit and 64bit platforms but we recommend using a 64bit platform.
 
@@ -26,8 +26,7 @@
 
  * `Boost <http://www.boost.org/>`_ 1.40 or higher
  * `Google Protocol Buffers <http://code.google.com/apis/protocolbuffers/>`_
- * libuuid (part of the `E2fsprogs <http://e2fsprogs.sourceforge.net/>`_
-   project)
+ * libuuid (part of the `E2fsprogs <http://e2fsprogs.sourceforge.net/>`_ project)
  * `zlib <http://www.zlib.net/>`_ 1.1.3-5 or higher
 
-Our repositories for RedHat/Fedora and Ubuntu will provide these where required.
+Our repositories for RedHat/CentOS/Fedora and for Ubuntu will provide these where required.

=== modified file 'docs/installing/ubuntu.rst'
--- docs/installing/ubuntu.rst	2011-02-23 15:33:37 +0000
+++ docs/installing/ubuntu.rst	2011-03-08 03:47:42 +0000
@@ -4,18 +4,19 @@
 Using DEBs
 ----------
 
-Ubuntu Natty (11.04) has Drizzle .deb files in the repositories. For Ubuntu 10.04 and 10.10 we have a PPA available at
+Ubuntu 11.04 Natty Narwhal has Drizzle .deb files in the standard Ubuntu repositories.
+For Ubuntu 10.04 LTS Lucid Lynx and Ubuntu 10.10 Maverick Meerkat there is a PPA available at
 https://launchpad.net/~drizzle-developers/+archive/ppa
 
 As a first step, run the following command: ::
 
 	sudo apt-get install python-software-properties
 
-To add the above PPA at command line simply run: ::
+To add the above PPA at command line: ::
 
 	sudo apt-add-repository ppa:drizzle-developers/ppa
 	sudo apt-get update
 
-To then install Drizzle: ::
+Then to install Drizzle, both the server and the client utilities: ::
 
-	sudo apt-get install drizzle drizzle-client
+	sudo apt-get install drizzle

=== modified file 'docs/preface.rst'
--- docs/preface.rst	2010-11-30 00:28:02 +0000
+++ docs/preface.rst	2011-03-08 03:47:42 +0000
@@ -2,6 +2,6 @@
 Preface
 ================
 
-Welcome to Drizzle's official documentation. This community-generated resource covers what Drizzle is, the basics of the SQL language, and other advanced topics for Drizzle users. It has been written by the Drizzle developers and other volunteers in parallel to the development of the Drizzle software. In essence, it describes all the functionality that the current version of Drizzle officially supports.
+Welcome to Drizzle's official documentation. This community-generated resource covers what Drizzle is, the SQL language as implemented by Drizzle, and other basic and advanced topics. It has been written by the Drizzle developers and other volunteers in parallel to the development of the Drizzle software. It describes all the functionality that the current version of Drizzle officially supports.
 
-There are other sites and locations for information on Drizzle and contributing to the project. You can find code, bug reports, and downloads at http://launchpad.net/drizzle. The wiki for Drizzle can be found at http://wiki.drizzle.org/Main_Page.
\ No newline at end of file
+There are other sites and locations for information on Drizzle and contributing to the project. You can find code, bug reports, and downloads at `Launchpad <https://launchpad.net/drizzle>`_. The wiki for Drizzle can be found at http://wiki.drizzle.org/Main_Page.

